View Issue Details

IDProjectCategoryView StatusLast Update
0026963mantisbtuipublic2020-05-26 12:41
Reportervboctor Assigned Tovboctor  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.24.1 
Target Version2.25.0Fixed in Version2.25.0 
Summary0026963: Username field in Monitor box triggers password managers
Description

The password managers detect the username field as if it is a login username and this triggers dropdowns from password manager plugins and triggers iPads to jump to this field and show the iCloud / 1Password integration interface which is really annoying.

The work here is to change this enough to not be detected as username. This will involve:

  1. Removing the username label next to it.
  2. Changing the name of the text field.
TagsNo tags attached.

Activities

vboctor

vboctor

2020-05-16 17:08

manager   ~0063992

Attached is a screenshot from a desktop browser. It is a lot more intrusive from iPad browser.

image.png (58,434 bytes)   
image.png (58,434 bytes)   
vboctor

vboctor

2020-05-16 17:15

manager   ~0063993

PR: https://github.com/mantisbt/mantisbt/pull/1669

Related Changesets

MantisBT: master 2aaf0be7

2020-05-16 17:14:11

vboctor

Details Diff
Password managers shouldn’t trigger on monitor box

Fixes 0026963
Affected Issues
0026963
mod - bug_monitor_add.php Diff File
mod - bug_view_inc.php Diff File

Issue History

Date Modified Username Field Change
2020-05-16 17:07 vboctor New Issue
2020-05-16 17:07 vboctor Status new => assigned
2020-05-16 17:07 vboctor Assigned To => vboctor
2020-05-16 17:08 vboctor Note Added: 0063992
2020-05-16 17:08 vboctor File Added: image.png
2020-05-16 17:15 vboctor Note Added: 0063993
2020-05-25 19:24 vboctor Changeset attached => MantisBT master 2aaf0be7
2020-05-25 19:24 vboctor Status assigned => resolved
2020-05-25 19:24 vboctor Resolution open => fixed
2020-05-25 19:24 vboctor Fixed in Version => 2.25.0
2020-05-26 12:41 atrol Target Version => 2.25.0